//Worcester Polytechnic Institute - Computer Science Department
//IMGD-3xxx: HCI for Real, Virtual, and Teleoperated Environments
//Prof. Robert W. Lindeman
//Sample C# code for project 2.
//Code to receive and send data through the serial 
//port using arduino.
//Whenever it receives a message thorugh the COM port, it
//sends a default reply.

#include "WProgram.h"
void setup();
void loop();
byte inByte = 0;//Stores bytes received.

void setup() {
  
  Serial.begin(9600); // Opens the serial port.
  
}
void loop() {

  //Reads all the bytes sent.
  while (Serial.available() >0) {
    
    //Reads one byte at a time. the incoming byte:
    inByte = Serial.read();
    
    //Mapping bytes read to different commands/requests
    //should be done here.
    
    //For each byte, sends a reply message.
    Serial.println("Hello, Unity!");
  }
  delay(10); // Waits 10ms between each send 
             //(Removing this line is not recommended, 
             //althoguh the delay value might be 
             //reduced without a problem).
}



int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

